<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Get_a_load_balancer%27s_session_persistence</id>
		<title>Get a load balancer's session persistence - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Get_a_load_balancer%27s_session_persistence"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_a_load_balancer%27s_session_persistence&amp;action=history"/>
		<updated>2026-04-05T21:24:54Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Get_a_load_balancer%27s_session_persistence&amp;diff=2186&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_a_load_balancer%27s_session_persistence&amp;diff=2186&amp;oldid=prev"/>
				<updated>2015-07-24T18:13:14Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:13, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Get_a_load_balancer%27s_session_persistence&amp;diff=2185&amp;oldid=prev</id>
		<title>Donghyun.kim: /* Response Body */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Get_a_load_balancer%27s_session_persistence&amp;diff=2185&amp;oldid=prev"/>
				<updated>2015-02-04T22:46:44Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;Response Body&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= '''GET''' /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''/sessionPersistence=&lt;br /&gt;
This operation lists the details for the specified session persistence&lt;br /&gt;
&lt;br /&gt;
== Request == &lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/loadbalancers/''{lbId}''/nodePools/''{nodePoolId}''/sessionPersistence&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The selected account id.&lt;br /&gt;
&lt;br /&gt;
; lbId - ''string''&lt;br /&gt;
: The selected loadbalancer id.&lt;br /&gt;
&lt;br /&gt;
; nodePoolId - ''string''&lt;br /&gt;
: The selected node pool id.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Codes ===&lt;br /&gt;
; 200 OK''&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized''&lt;br /&gt;
: This server could not verify that you are authorized to access the document you requested.  Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
:The resource does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;persistenceType&amp;quot;: &amp;quot;{type}&amp;quot;,&lt;br /&gt;
    &amp;quot;links&amp;quot;: [{&amp;quot;href&amp;quot;: &amp;quot;http://{api-server}/accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/sessionPersistence&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}]&lt;br /&gt;
&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: type of session persistence&lt;br /&gt;
: Allowed value is '''HTTP_COOKIE''' (currently, only HTTP_COOKIE is supported)&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successfully list details for specified load balancer session persistence ===&lt;br /&gt;
&lt;br /&gt;
'''Request'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
GET /accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/sessionPersistence&lt;br /&gt;
Content-Type:application/json&lt;br /&gt;
Charset=UTF-8&lt;br /&gt;
Authorization: Basic {Base64-encoded username &amp;amp; password string}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
HTTP/1.1 200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;persistenceType&amp;quot;:&amp;quot;HTTP_COOKIE&amp;quot;&lt;br /&gt;
    &amp;quot;links&amp;quot; : [{&amp;quot;href&amp;quot; : &amp;quot;http://{api-server}/accounts/{accountId}/loadbalancers/{lbId}/nodePools/{nodePoolId}/sessionPersistence&amp;quot;, &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;}]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Load Balancer API]]&lt;/div&gt;</summary>
		<author><name>Donghyun.kim</name></author>	</entry>

	</feed>